Skip to main content
`Ctrl`+`K`

# NEPNLEIGSGetKSPs

Retrieve the array of linear solver objects associated with the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSGetKSPs(NEP nep,PetscInt *nsolve,KSP **ksp)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- nsolve - number of returned `KSP` objects

- ksp - array of linear solver object

## Note

The number of `KSP` objects is equal to the number of shifts provided by the user, or 1 if the user did not provide shifts.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPNLEIGS`, `NEPNLEIGSSetRKShifts()`

## Level

advanced

## Location

src/nep/impls/nleigs/nleigs.c

## Implementations

NEPNLEIGSGetKSPs_NLEIGS() in src/nep/impls/nleigs/nleigs.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages